summaryrefslogtreecommitdiff
path: root/cmdline
diff options
context:
space:
mode:
authorIshan Jayawardena <udeshike@gmail.com>2011-07-16 14:41:53 +0530
committerIshan Jayawardena <udeshike@gmail.com>2011-07-16 14:41:53 +0530
commit8a8ea4baa11f07e1de4cf190f82dbd79ff1affa5 (patch)
treef8710b0994c439f46e75c8f28af0f6b8251f380c /cmdline
parent3efe86af099d5a5d05e2e61a571da864676834c7 (diff)
parent0df8c3dccbda739af6e20999fb208ada0619ad80 (diff)
fixed indentation issues
Diffstat (limited to 'cmdline')
-rw-r--r--cmdline/apt-config.cc13
-rw-r--r--cmdline/apt-get.cc6
-rwxr-xr-xcmdline/apt-key15
3 files changed, 29 insertions, 5 deletions
diff --git a/cmdline/apt-config.cc b/cmdline/apt-config.cc
index 9919a9c94..589ee7ada 100644
--- a/cmdline/apt-config.cc
+++ b/cmdline/apt-config.cc
@@ -20,6 +20,8 @@
#include <apt-pkg/error.h>
#include <apt-pkg/init.h>
#include <apt-pkg/strutl.h>
+#include <apt-pkg/configuration.h>
+#include <apt-pkg/aptconfiguration.h>
#include <config.h>
#include <apti18n.h>
@@ -27,6 +29,7 @@
#include <locale.h>
#include <iostream>
#include <string>
+#include <vector>
/*}}}*/
using namespace std;
@@ -119,6 +122,16 @@ int main(int argc,const char *argv[]) /*{{{*/
CmdL.FileSize() == 0)
return ShowHelp();
+ std::vector<std::string> const langs = APT::Configuration::getLanguages(true);
+ _config->Clear("Acquire::Languages");
+ for (std::vector<std::string>::const_iterator l = langs.begin(); l != langs.end(); ++l)
+ _config->Set("Acquire::Languages::", *l);
+
+ std::vector<std::string> const archs = APT::Configuration::getArchitectures();
+ _config->Clear("APT::Architectures");
+ for (std::vector<std::string>::const_iterator a = archs.begin(); a != archs.end(); ++a)
+ _config->Set("APT::Architectures::", *a);
+
// Match the operation
CmdL.DispatchArg(Cmds);
diff --git a/cmdline/apt-get.cc b/cmdline/apt-get.cc
index 369dac1cf..0da3965be 100644
--- a/cmdline/apt-get.cc
+++ b/cmdline/apt-get.cc
@@ -1697,7 +1697,7 @@ bool DoAutomaticRemove(CacheFile &Cache)
// we could have removed a new dependency of a garbage package,
// so check if a reverse depends is broken and if so install it again.
- if (tooMuch.empty() == false && Cache->BrokenCount() != 0)
+ if (tooMuch.empty() == false && (Cache->BrokenCount() != 0 || Cache->PolicyBrokenCount() != 0))
{
bool Changed;
do {
@@ -1708,8 +1708,8 @@ bool DoAutomaticRemove(CacheFile &Cache)
for (pkgCache::DepIterator R = P.RevDependsList();
R.end() == false; ++R)
{
- if (R->Type != pkgCache::Dep::Depends &&
- R->Type != pkgCache::Dep::PreDepends)
+ if (R.IsNegative() == true ||
+ Cache->IsImportantDep(R) == false)
continue;
pkgCache::PkgIterator N = R.ParentPkg();
if (N.end() == true || (N->CurrentVer == 0 && (*Cache)[N].Install() == false))
diff --git a/cmdline/apt-key b/cmdline/apt-key
index 3838fafcd..843163f82 100755
--- a/cmdline/apt-key
+++ b/cmdline/apt-key
@@ -21,6 +21,13 @@ ARCHIVE_KEYRING_URI=""
ARCHIVE_KEYRING=/usr/share/keyrings/debian-archive-keyring.gpg
REMOVED_KEYS=/usr/share/keyrings/debian-archive-removed-keys.gpg
+requires_root() {
+ if [ "$(id -u)" -ne 0 ]; then
+ echo >&1 "ERROR: This command can only be used by root."
+ exit 1
+ fi
+}
+
add_keys_with_verify_against_master_keyring() {
ADD_KEYRING=$1
MASTER=$2
@@ -59,13 +66,14 @@ add_keys_with_verify_against_master_keyring() {
# (otherwise it does not make sense from a security POV)
net_update() {
if [ -z "$ARCHIVE_KEYRING_URI" ]; then
- echo "ERROR: no location for the archive-keyring given"
+ echo >&2 "ERROR: Your distribution is not supported in net-update as no uri for the archive-keyring is set"
exit 1
fi
+ requires_root
# in theory we would need to depend on wget for this, but this feature
# isn't useable in debian anyway as we have no keyring uri nor a master key
if ! which wget >/dev/null 2>&1; then
- echo "ERROR: an installed wget is required for a network-based update"
+ echo >&2 "ERROR: an installed wget is required for a network-based update"
exit 1
fi
if [ ! -d /var/lib/apt/keyrings ]; then
@@ -93,6 +101,7 @@ update() {
echo >&2 "Is the debian-archive-keyring package installed?"
exit 1
fi
+ requires_root
# add new keys from the package;
@@ -184,10 +193,12 @@ fi
case "$command" in
add)
+ requires_root
$GPG --quiet --batch --import "$1"
echo "OK"
;;
del|rm|remove)
+ requires_root
$GPG --quiet --batch --delete-key --yes "$1"
echo "OK"
;;